Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153931 - CAN-2005-0755 RealPlayer buffer overflow
Summary: CAN-2005-0755 RealPlayer buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: realplayer
Version: 4.0
Hardware: All
OS: Linux
high
urgent
Target Milestone: ---
: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard: impact=critical,public=20050419,repor...
: 155443 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-05 21:37 UTC by Josh Bressers
Modified: 2013-03-13 04:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-20 17:24:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:363 normal SHIPPED_LIVE Critical: RealPlayer security update 2005-04-20 04:00:00 UTC
Red Hat Product Errata RHSA-2005:394 normal SHIPPED_LIVE Critical: RealPlayer security update 2005-04-20 04:00:00 UTC

Description Josh Bressers 2005-04-05 21:37:58 UTC
We have been informed of a buffer overflow issue in the version of RealPlayer 10
we ship.  A malicious RAM file can overflow a buffer and execute arbitrary code
on a victims machine.

Comment 1 Josh Bressers 2005-04-05 21:48:30 UTC
This issue also affects the RHEL3 realplayer.

Comment 8 Josh Bressers 2005-04-19 20:44:02 UTC
Lifting embargo

Comment 9 Josh Bressers 2005-04-20 17:24:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-363.html


Comment 10 Josh Bressers 2005-04-20 22:08:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-394.html


Comment 11 Josh Bressers 2005-04-21 13:59:08 UTC
*** Bug 155443 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.